SCM

[#1011294] policy.2.0.Npgsql.dll built against .NET 4.0 in all versions

View Trackers | Bugs | Download .csv | Monitor

Date:
2013-01-09 09:33
Priority:
3
State:
Closed
Submitted by:
Akos Lukacs (akoslukacs)
Assigned to:
Nobody (None)
Npgsql Version:
2.0.12beta
Category:
None
Group:
None
Resolution:
None
Summary:
policy.2.0.Npgsql.dll built against .NET 4.0 in all versions

Detailed description
Hi!

The policy.2.0.Npgsql.dll file latest download, and the nuget package for .net 3.5 is built against .NET 4.0, therefore it can't be loaded in a .NET 3.5 app.

Is this file required? Actually if I delete this assembly reference, the application runs as far as I can tell.

Followup

Message
Date: 2013-12-18 14:23
Sender: Francisco Figueiredo jr.


Conversation moved to github issues: https://github.com/npgsql/Npgsql/issues/131
Date: 2013-12-17 16:00
Sender: Richard Brown

The latest NuGet package (2.0.14.2) still appears to have this problem:

C:\>corflags packages\Npgsql.2.0.14.2\lib\net35\policy.2.0.Npgsql.dll
Microsoft (R) .NET Framework CorFlags Conversion Tool. Version 4.0.30319.1
Copyright (c) Microsoft Corporation. All rights reserved.

Version : v4.0.30319
CLR Header: 2.5
PE : PE32
CorFlags : 9
ILONLY : 1
32BIT : 0
Signed : 1
Date: 2013-06-28 17:56
Sender: Francisco Figueiredo jr.

This is fixed in github. See this pull request with the patch:
https://github.com/franciscojunior/Npgsql2/pull/24

Attached Files:

Changes:

Field Old Value Date By
close_dateNone2013-06-28 17:56fxjr
status_idOpen2013-06-28 17:56fxjr
Powered By FusionForge